Page MenuHomePhabricator

Deprecate MediaWiki configurative variable, $wgObjectCacheSessionExpiry
Closed, DeclinedPublic

Description

$wgObjectCacheSessionExpiry relies on the use of having $wgSessionsInObjectCache enabled ($wgSessionsInObjectCache = true;). Since $wgSessionsInObjectCache is deprecated since 1.27, ideally $wgObjectCacheSessionExpiry should also be deprecated.

note: Upstreamed from https://www.mediawiki.org/wiki/Topic:Tljtr5gtk1vkittu

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 23 2017, 3:21 AM
Legoktm closed this task as Declined.Dec 6 2017, 9:23 PM
Legoktm added a subscriber: Legoktm.

No, this setting is still used. I think the deprecation of $wgSessionsInObjectCache is a bit misleading here. What actually changed is that $wgSessionsInObjectCache is *always* true, so the expiry setting still applies.

Pchelolo reopened this task as Open.Nov 9 2018, 5:10 PM
Pchelolo added a project: Services (blocked).
Pchelolo added a subscriber: Pchelolo.

Right now we're deciding on the interface for the multi-master session store and we're trying to decide how exactly to configure the TTL for sessions, and coming across this setting I started looking into the current codebase and failed to find any use of the config variable. It seems like in MW 1.27 change

ObjectCacheSessionHandler is removed, replaced with MediaWiki\Session\PhpSessionHandler.

The last actual usage of the config variable has vanished. Please correct me if I'm wrong, but it seems that now the variable setting is a no-op, thus it should be deprecated and removed.

Oh, I've missed the use via config->get! I guess that means we need to support this in the multi-master session store if it's really used.

Legoktm closed this task as Declined.Nov 10 2018, 8:19 AM

Re-closing as declined, since the original premise of the task (that this was unused) was incorrect. If you want to propose deprecating it, I think that would be better suited for another task.